<!ELEMENT solist (classes, activeperformance?, activestage?, activeactor?, generate?)>

<!ELEMENT classes (performance*, stage*, actor*, prop*, other*, actionbutton*)>

<!ELEMENT performance EMPTY>
<!ATTLIST performance
	name CDATA #REQUIRED
>

<!ELEMENT stage EMPTY>
<!ATTLIST stage
	name CDATA #REQUIRED
>

<!ELEMENT actor EMPTY>
<!ATTLIST actor
	name CDATA #REQUIRED
>

<!ELEMENT prop EMPTY>
<!ATTLIST prop
	name CDATA #REQUIRED
>

<!ELEMENT other EMPTY>
<!ATTLIST other
	name CDATA #REQUIRED
>

<!ELEMENT actionbutton EMPTY>
<!ATTLIST actionbutton
	name CDATA #REQUIRED
    type CDATA #REQUIRED
	tooltip CDATA #IMPLIED
	iconfilename CDATA #IMPLIED
>

<!ELEMENT activeperformance EMPTY>
<!ATTLIST activeperformance
	name CDATA #REQUIRED
>

<!ELEMENT activestage EMPTY>
<!ATTLIST activestage
	name CDATA #REQUIRED
>

<!ELEMENT activeactor EMPTY>
<!ATTLIST activeactor
	name CDATA #REQUIRED
>

<!ELEMENT generate EMPTY>
<!ATTLIST generate
	name CDATA #REQUIRED
>

